Otomoto: Search
Search from Otomoto as JSON. 1 credit per successful call.
GET /v1/otomoto/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
make_id | string | Optional | Up to 64 characters |
model_id | string | Optional | Up to 64 characters |
generation | string | Optional | Up to 64 characters |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
year_min | integer | Optional | Any |
year_max | integer | Optional | Any |
mileage_min | integer | Optional | Any |
mileage_max | integer | Optional | Any |
engine_power_max | integer | Optional | Any |
fuel[] | list of string | Optional | Up to 32 characters |
transmission[] | list of string | Optional | Up to 32 characters |
body_type[] | list of string | Optional | Up to 32 characters |
city_id | integer | Optional | Any |
dist | integer | Optional | Any |
sort | string | Optional | Up to 64 characters |
page | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/otomoto/search?make_id=volvo" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.